org.jfree.xml.parser.coretypes

## Class Rectangle2DReadHandler

- java.lang.Object
- - org.jfree.xml.parser.AbstractXmlReadHandler
  - - org.jfree.xml.parser.coretypes.Rectangle2DReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class Rectangle2DReadHandler
    extends AbstractXmlReadHandler

A handler for reading a `Rectangle2D` object.

### Constructor Summary

Constructors
Constructor and Description
`Rectangle2DReadHandler()` Default constructor.

### Method Summary

Methods
`java.lang.Object` `getObject()` Returns the object under construction.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Begins parsing.

### Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler

`characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Rectangle2DReadHandler

    public Rectangle2DReadHandler()

Default constructor.

### Method Detail

#### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

Begins parsing.

Overrides:
  `startParsing` in class `AbstractXmlReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `org.xml.sax.SAXException` - if there is a parsing error.

#### getObject

    public java.lang.Object getObject()

Returns the object under construction.

Returns:
  The object.